"Unsupported format" when trying to print

Bug #36532 reported by Geoff Jacobsen on 2006-03-25
24
Affects Status Importance Assigned to Milestone
CUPS
Fix Released
Unknown
cupsys (Ubuntu)
Medium
Unassigned
gs-esp (Ubuntu)
Medium
Unassigned
gutenprint (Ubuntu)
Medium
Unassigned

Bug Description

Dapper versions:

4.3.99+cvs20051122.dfsg.1-2ubuntu1 for all:
  cupsys-driver-gutenprint, foomatic-db-gutenprint, gutenprint-locales, ijsgutenprint, libgutenprint2 and libgutenprintui2-1

foomatic-filters: 3.0.2-20060113-1
foomatic-filters-ppds: 20060113-1
cupsys: 1.1.99.b1.r4929-0ubuntu4
gnome-cups-manager: 0.31-1.1ubuntu3

When using the gutenprint driver with my "Epson Stylus-Photo-720", images print but not pdf/ps/text. Cups error_log says:
E [25/Mar/2006:16:30:29 +1200] Unable to convert file 0 to printable format for job 1!
I [25/Mar/2006:16:30:29 +1200] Hint: Do you have ESP Ghostscript installed?

I have solved this problem by adding the Foomatic filter:

 *cupsFilter: "application/vnd.cups-postscript 0 foomatic-rip"

to the PPD generated file. This solves the problem and gives much better output quality than the non gutenprint driver.

Also it would be nice if gnome-cups-manager only listed (or at lease selected by default) the gutenprint driver when setting up a printer.

Matthias Klose (doko) wrote :

please could you recheck after a dist-upgrade to dapper 20060414, removal and reinstallation of the printer?

does the recommended Stp720p.upp driver work?

Changed in gutenprint:
assignee: nobody → doko
status: Unconfirmed → Needs Info
Geoff Jacobsen (geoffj) wrote :

All that the latest debs do is revert my gutenprint ppd back to the broken one.

The "recommended Stp720p.upp driver" still prints inferior images (better than ascii art but only just).

The gutenprint driver is still broken. As said above adding the foomatic-rip filter to the gutenprint ppd works perfectly.

Changed in gutenprint:
status: Needs Info → Unconfirmed
Tiago Rodrigues (tmcrodrigues) wrote :

I can confirm that this problem still exists, and can only be worked out with the fix suggested in the bug report (and yes, i tried deleting and reinstalling the printer). I don't know if this is just about the ppd files, but shouldn't this be easy to fix ?

Tiago Rodrigues (tmcrodrigues) wrote :

I don't know about others but i found this is a bit comic: It's the day of Dapper Drake release. I have downloaded the latest updates, removed and reinstalled my printer, and this simple bug still exists...

Confirmed by Tiago

Changed in gutenprint:
status: Unconfirmed → Confirmed

Geoff wrote:
> When using the gutenprint driver with my "Epson
> Stylus-Photo-720", images print but not pdf/ps/text. Cups
> error_log says:
> E [25/Mar/2006:16:30:29 +1200] Unable to convert file 0 to
> printable format for job 1!
> I [25/Mar/2006:16:30:29 +1200] Hint: Do you have ESP
> Ghostscript installed?

What version of ESP Ghostscript do you have installed?
Please post the output of the printingbuginfo script, it can be found here: https://wiki.ubuntu.com/PrintingBugInfoScript

> I have solved this problem by adding the Foomatic filter:
> *cupsFilter: "application/vnd.cups-postscript 0 foomatic-rip"
> to the PPD generated file. This solves the problem and gives
> much better output quality than the non gutenprint driver.

Can you attach the ppd file for your printer that did not work (before you altered it).

> Also it would be nice if gnome-cups-manager only listed (or at
> lease selected by default) the gutenprint driver when setting
> up a printer.
According to www.linuxprinting.org the gimp-print driver is still recommended for the Epson Stylus Photo 720. Ubuntu only includes gutenprint, the successor of gimp-print. Normally the gutenprint driver is expected to work equally well or even better than gimp-print.
You are right that Stp720p.upp is incorrectly indicated as the recommended driver, I will need to further invistigate why this happened. Since Ubuntu uses the linuxprinting.org database the expected behavior would be that neither gutenprint nor stp720p.upp should be recommended.

Changed in gutenprint:
status: Confirmed → Needs Info
Geoff Jacobsen (geoffj) wrote :

Here is the ppd unaltered (printer readded using latest versions of software) which doesn't allow text; only graphics.

Note: The behaviour has changed since the bug was originally raised: Instead of an error appearing in the cups error log the print command fails immediately eg;

geoffj@rimu:~$ lpr
hello
lpr: Unsupported format 'text/plain'!
geoffj@rimu:~$

Geoff Jacobsen (geoffj) wrote :

Here is the printingbuginfo output

Can you give the output of the following commands:
$ ls -l /etc/cups/*.types /etc/cups/*.convs
$ cat /etc/cups/*.types /etc/cups/*.convs | grep "text/plain"
$ ls -l /usr/lib/cups/filter/texttops

And also the output of the following commands:
$ grep -H "application/vnd.cups-raster" /etc/cups/*.types /etc/cups/*.convs | grep pstoraster
$ grep -H "application/vnd.cups-command" /etc/cups/*.types /etc/cups/*.convs

Geoff Jacobsen (geoffj) wrote :

geoffj@rimu:~$ ls -l /etc/cups/*.types /etc/cups/*.convs
-rw-r--r-- 1 root root 1215 2006-02-07 07:34 /etc/cups/command.types
-rw-r--r-- 1 root root 4461 2006-04-26 07:46 /etc/cups/mime.convs
-rw-r--r-- 1 root root 6109 2006-04-26 07:46 /etc/cups/mime.types
-rw-r--r-- 1 root root 242 2006-03-25 16:28 /etc/cups/raw.convs
-rw-r--r-- 1 root root 213 2006-03-25 16:28 /etc/cups/raw.types

geoffj@rimu:~$ cat /etc/cups/*.types /etc/cups/*.convs | grep "text/plain"
text/plain txt printable(0,1024)
text/plain application/postscript 33 texttops

geoffj@rimu:~$ ls -l /usr/lib/cups/filter/texttops
-rwxr-xr-x 1 root root 36492 2006-08-03 20:54 /usr/lib/cups/filter/texttops

geoffj@rimu:~$ grep -H "application/vnd.cups-raster" /etc/cups/*.types /etc/cups/*.convs | grep pstoraster
/etc/cups/mime.convs:#application/vnd.cups-postscript application/vnd.cups-raster 100 pstoraster

geoffj@rimu:~$ grep -H "application/vnd.cups-command" /etc/cups/*.types /etc/cups/*.convs
/etc/cups/command.types:# Define the new application/vnd.cups-command filetype...
/etc/cups/command.types:application/vnd.cups-command string(0,'#CUPS-COMMAND')
/etc/cups/mime.types:application/vnd.cups-command string(0,'#CUPS-COMMAND')

You seem to be missing the /etc/cups/pstoraster.convs file which is part of gs-esp.

Please give the output of the following command:
$ dpkg -L gs-esp | grep pstoraster

Then reinstall gs-esp with following command and afterwards check if the file is present:
$ sudo apt-get --reinstall install gs-esp

Restart cups:
$ sudo /etc/init.d/cupsys restart

Reinstall your printer with the original ppd for your printer that came with Ubuntu.

Try to print a postscript and text file from the command line:
$ lp file.ps
$ lp file.txt

Geoff Jacobsen (geoffj) wrote :

The file /etc/cups/pstoraster.convs is present in the gs-esp deb package but doing a --reinstall does not result in it being copied to the filesystem :(

So I did a

$ sudo dpkg --purge --force-all gs-esp

followed by a

$ sudo apt-get install gs-esp

This resulted in a fully working printer using the gutenprint driver with an unmodified ppd. I deleted the printer and re-added it to make sure.

So it appears to me there is a bug in the install script for gs-esp which does not install pstoraster.conv if the package is already configured even when the file is missing therefore only affecting upgraded systems and not newly installed systems.

Thanks Pascal for your help!

Does printing text files work now without giving unsupported format error?

Geoff Jacobsen (geoffj) wrote :

Yes.

Printing text works fine as does printing text + graphics with good image output.

In summary the only problems are:

1. The gutenprint driver is not recommended by default.

2. "sudo apt-get --reinstall install gs-esp" does not restore the "/etc/cups/pstoraster.convs" file if it is missing as in - I guess - an upgrade from breazy.

This bug has also been reported in Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=381743

Changed in cupsys:
status: Unknown → Unconfirmed
Changed in gutenprint:
status: Needs Info → Confirmed

I am currently fixing the wrong recommended driver in foomatic-db upstream. So this will get fixed in the next days.

The other problem is a packageing problem of ESP GhostScript in Debian. /etc/cups/*.convs and /etc/cups/*.types files need to be marked in a certain way that they are not configuration files, so that they get refreshed on a reinstallation of ESP GhostScript.

Recommended driver problem in foomatic-db is fixed.

Matthias Klose (doko) on 2006-10-21
Changed in gs-esp:
assignee: doko → nobody

Geoff Jacobsen, Martin Jürgens, smurf, if you have still the problem of "Unsupported format", can you post your /etc/cups/pstoraster.convs file?

Changed in gs-esp:
status: Confirmed → Needs Info
pirast (pirast) wrote :

The problem is that the file "pstoraster.convs" is not being created on a update (the machine on which I noticed the bug was a Hoary install, I always updated it to the newest Ubuntu release). The problem appeard on 2007-03-10.

Changed in gs-esp:
status: Needs Info → Confirmed

Here is now a CUPS which reads .convs and .types files also from /usr/share/cups/mime:

http://www.linux-foundation.org/~till/tmp/ubuntu/feisty/cupsys/binary/

Now remaining work to do on this bug is moving the .convs and .types files of all packages which provide CUPS filters, so I am adding Gutenprint (command.types).

Changed in gutenprint:
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Changed in cupsys:
importance: Undecided → Medium
status: Unconfirmed → Fix Committed

In ESP GhostScript the pstoraster.convs is now moved to /usr/share/cups/mime/. Get the new ESP GhostScript here:

http://www.linux-foundation.org/~till/tmp/ubuntu/feisty/gs-esp/binary/

You will need cupsys 1.2.8-0ubuntu6, too as it searches in /usr/share/cups/mime. Get it from here:

http://www.linux-foundation.org/~till/tmp/ubuntu/feisty/cupsys/binary/

All these packages are on their way to Feisty now.

Changed in gs-esp:
status: Confirmed → Fix Committed

New gutenprint files are here:

http://www.linux-foundation.org/~till/tmp/ubuntu/feisty/gutenprint/binary/

They are also on their way to Feisty now.

Changed in gutenprint:
status: Confirmed → Fix Committed
Changed in cupsys:
status: Fix Committed → Fix Released
Changed in gs-esp:
status: Fix Committed → Fix Released
Changed in gutenprint:
status: Fix Committed → Fix Released
Changed in cupsys:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.